## com.bbn.openmap.tools.beanbox
Interface BeanContainer

All Known Implementing Classes:
  SimpleBeanContainer

public interface BeanContainer

The `BeanBox`treats all bean objects that implement this interface as container beans.

Method Summary
`void` `add(java.lang.Object bean)` adds the specified bean object to this container.
`boolean` `contains(java.lang.Object bean)` checks if the specified bean lies in this container.
`java.util.Vector` `getContents()` gets the contents of this container as a vector of bean objects.
`BeanLayoutManager` `getLayout()` gets the layout manager bean assocciated with this container.
`java.lang.String` `getLayoutClass()` gets the class name of the layout manager bean assocciated with this container.
`void` `remove(java.lang.Object bean)` removes the specified bean object from this container.
`void` `removeAll()` removes all beans from this container.
`void` `setContents(java.util.Vector contents)` sets the contents of this container as a vector of bean objects.
`void` `setLayout(BeanLayoutManager layout)` sets the layout manager bean assocciated with this container.
`void` `setLayoutClass(java.lang.String lc)` sets the class name of the layout manager bean assocciated with this container.
`void` `validate()` calling this method is meant to generate a call to the layout manager's layoutContainer method.

Method Detail

### getContents

    public java.util.Vector getContents()

  gets the contents of this container as a vector of bean objects.

### setContents

    public void setContents(java.util.Vector contents)

  sets the contents of this container as a vector of bean objects.

### add

    public void add(java.lang.Object bean)

  adds the specified bean object to this container.

### remove

    public void remove(java.lang.Object bean)

  removes the specified bean object from this container.

### removeAll

    public void removeAll()

  removes all beans from this container.

### contains

    public boolean contains(java.lang.Object bean)

  checks if the specified bean lies in this container.

### getLayout

    public BeanLayoutManager getLayout()

  gets the layout manager bean assocciated with this container.

### setLayout

    public void setLayout(BeanLayoutManager layout)

  sets the layout manager bean assocciated with this container. The layout manager bean is responsible for laying out the contents of this container.

### getLayoutClass

    public java.lang.String getLayoutClass()

  gets the class name of the layout manager bean assocciated with this container.

### setLayoutClass

    public void setLayoutClass(java.lang.String lc)

  sets the class name of the layout manager bean assocciated with this container.

### validate

    public void validate()

  calling this method is meant to generate a call to the layout manager's layoutContainer method.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details